[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.Width

The Width of the Glyph image.

## Declaration

Source position: buttons.pp line 147

`public property TButtonGlyph.Width : Integer read GetWidth;`

## Description

Width is an Integer property with the Width for bitmaps displayed in the class instance. When Images has been assigned, its Width is used as the property value. Otherwise, the property value is 0.

Width is used when a value is assigned to the Glyph property, and determines if multiple images are present in the bitmap loaded into the Images property.

## See also

TButtonGlyph.Height |  | The height of the glyph image.
TButtonGlyph.Images |  | The list of available images for the button glyph.
TButtonGlyph.Glyph |  | The bitmap image drawn as the glyph on the button.
TButtonGlyph.NumGlyphs |  | The number of glyphs available for button states.